/**
 * @vitest-environment-options { "xmlPath": "./tests/resources/Features_DCC_v3.2.1.xml" }
 */

import { DCCDocument, ItemType } from "../../../src";

describe("Features_DCC_v3.2.1: ItemType", () => {
  let dcc: DCCDocument, item: ItemType, dom;

  beforeEach(() => {
    ({ dcc, dom } = recreateEnv());
    item = dcc.digitalCalibrationCertificate.administrativeData.items.item[0];
  });

  test("should get item manufacturer null from XML", () => {
    expect(item.manufacturer).toBeUndefined();
  });

  /* TODO: setters */
});
