import * as fc from "fast-check";

export const string_ISO3166_1 = () =>
  fc
    .integer({
      min: "A".charCodeAt(0),
      max: "Z".charCodeAt(0),
    })
    .map(String.fromCharCode);

export const string_ISO639_1 = () =>
  fc
    .integer({
      min: "a".charCodeAt(0),
      max: "z".charCodeAt(0),
    })
    .map(String.fromCharCode);
