import { DataType, DCCDocument } from "../../../../src";
import { select, toTextArr, toTextContentArr, undefinedIfEmpty } from "../../../util";

export const testDataType = (base: string, dataTypeFn: (dcc: DCCDocument) => DataType) => {
  const xpath = {
    text: `${base}/dcc:text`,
    quantity: `${base}/dcc:quantity`,
    list: `${base}/dcc:list`,
  };

  describe("DataType", () => {
    let dcc: DCCDocument, dataType: DataType, dom;

    beforeEach(() => {
      ({ dcc, dom } = recreateEnv());
      dataType = dataTypeFn(dcc);
    });

    // eslint-disable-next-line @typescript-eslint/no-empty-function
    test("noop", () => {});

    // TODO(Statement): quantity with real
  });
};
